com.icl.saxon.om

## Class ProcInstParser

- java.lang.Object
- - com.icl.saxon.om.ProcInstParser

-     public class ProcInstParser
      extends java.lang.Object

  ProcInstParser is used to parse pseudo-attributes within Processing Instructions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcInstParser()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getPseudoAttribute(java.lang.String content, java.lang.String name)` Get a pseudo-attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcInstParser

          public ProcInstParser()

  - ### Method Detail

    - #### getPseudoAttribute

          public static java.lang.String getPseudoAttribute(java.lang.String content,
                                            java.lang.String name)

      Get a pseudo-attribute. This is useful only if the processing instruction data part uses pseudo-attribute syntax, which it does not have to. This syntax is as described in the W3C Recommendation "Associating Style Sheets with XML Documents".
      Returns:
        the value of the pseudo-attribute if present, or null if not